/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { GeographicMapImageryDescription } from "./GeographicMapImageryDescription";
import { markType } from "./type";
/**
 * @hidden
 */
var ArcGISOnlineMapImageryDescription = /** @class */ (function (_super) {
    __extends(ArcGISOnlineMapImageryDescription, _super);
    function ArcGISOnlineMapImageryDescription() {
        var _this = _super.call(this) || this;
        _this.w = null;
        _this.aa = null;
        _this.x = null;
        _this.ab = null;
        _this.s = false;
        _this.u = 0;
        _this.z = null;
        _this.y = null;
        return _this;
    }
    ArcGISOnlineMapImageryDescription.prototype.get_type = function () {
        return "ArcGISOnlineMapImagery";
    };
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "mapServerUri", {
        get: function () {
            return this.w;
        },
        set: function (a) {
            this.w = a;
            this.e("MapServerUri");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "userName", {
        get: function () {
            return this.aa;
        },
        set: function (a) {
            this.aa = a;
            this.e("UserName");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "password", {
        get: function () {
            return this.x;
        },
        set: function (a) {
            this.x = a;
            this.e("Password");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "userToken", {
        get: function () {
            return this.ab;
        },
        set: function (a) {
            this.ab = a;
            this.e("UserToken");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "isMapPublic", {
        get: function () {
            return this.s;
        },
        set: function (a) {
            this.s = a;
            this.e("IsMapPublic");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "defaultTokenTimeout", {
        get: function () {
            return this.u;
        },
        set: function (a) {
            this.u = a;
            this.e("DefaultTokenTimeout");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "tokenGenerationEndPoint", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.e("TokenGenerationEndPoint");
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ArcGISOnlineMapImageryDescription.prototype, "refererUri", {
        get: function () {
            return this.y;
        },
        set: function (a) {
            this.y = a;
            this.e("RefererUri");
        },
        enumerable: true,
        configurable: true
    });
    ArcGISOnlineMapImageryDescription.$t = markType(ArcGISOnlineMapImageryDescription, 'ArcGISOnlineMapImageryDescription', GeographicMapImageryDescription.$);
    return ArcGISOnlineMapImageryDescription;
}(GeographicMapImageryDescription));
export { ArcGISOnlineMapImageryDescription };
